%define ver_e2fsprogs 1.34
%define ver_progsreiserfs 0.3.1-rc8
%define ver_ntfsprogs 1.8.2

Name: testdisk
Version: 5.1
Release: alt0.1

Summary: Tool to check and undelete partition
Summary(ru_RU.KOI8-R):      ̣  .

License: LGPL
Group: System/Configuration/Hardware

Url: http://www.cgsecurity.org/testdisk.html

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://www.cgsecurity.org/%name-%version.tar.bz2
Source1: %name-%version.Makefile

# Automatically added by buildreq on Sun Feb 22 2004
BuildRequires: libe2fs-devel libncurses-devel libtinfo-devel

%description
Tool to check and undelete partition. Works with the following
partitions:
- FAT12 FAT16 FAT32
- Linux
- Linux SWAP (version 1 and 2)
!- NTFS (Windows NT/W2K/XP)
- BeFS (BeOS)
- UFS (BSD)
- Netware
!- ReiserFS

%prep
%setup -q

%build
cd src
%__cp -f %SOURCE1 Makefile
make linux

%make

%install
install -d $RPM_BUILD_ROOT%_sbindir
install -d $RPM_BUILD_ROOT%_mandir/man1

install src/testdisk	$RPM_BUILD_ROOT%_sbindir/
install doc/testdisk.1  $RPM_BUILD_ROOT%_mandir/man1/testdisk.1

%files
%doc LICENSE README TODO doc/*.html doc/*.gif
%doc %_mandir/man1/testdisk.1*
%attr(755,root,root) %_sbindir/testdisk

%changelog
* Sun Feb 22 2004 Vitaly Lipatov <lav@altlinux.ru> 5.1-alt0.1
- first build for Sisyphus (without reiserfs and ntfs detalizing)
